cordova.define("com.apj.alicloudpushplugin.Alipush", function(require, exports, module) {
var exec = cordova.require('cordova/exec'); // eslint-disable-line no-undef

module.exports = {
	init: function (success, error) {
		exec(success, error, "Alipush", "_init", []);
	},
	clear: function (success, error) {
		exec(success, error, "Alipush", "clear", []);
	},
	getDeviceId: function (success, error) {
		exec(success, error, "Alipush", "getDeviceId", []);
	},
	bindAccount: function (account, success, error) {
		exec(success, error, "Alipush", "bindAccount", [account]);
	},
	unbindAccount: function (success, error) {
		exec(success, error, "Alipush", "unbindAccount", []);
	},
	// {target:Number, tags:Array<String>, alias?:string}
	bindTag: function (args, success, error) {
		exec(success, error, "Alipush", "bindTag", [args.target, args.tags, args.alias]);
	},
	unbindTag: function (args, success, error) {
		exec(success, error, "Alipush", "unbindTag", [args.target, args.tags, args.alias]);
	},
	listTags: function (success, error) {
		exec(function (tags) { success(res.split(',')) }, error, "Alipush", "listTags", []);
	},
	addAlias: function (alias, success, error) {
		exec(success, error, "Alipush", "addAlias", [alias]);
	},
	removeAlias: function (alias, success, error) {
		exec(success, error, "Alipush", "removeAlias", [alias]);
	},
	listAliases: function (success, error) {
		exec(function (aliases) { success(aliases.split(',')) }, error, "Alipush", "listAliases", []);
	},
	//ios only
	setBadge: function (badge, success, error) {
		exec(success, error, "Alipush", "setBadge", [badge]);
	},
	//ios only
	syncBadge: function (badge, success, error) {
		exec(success, error, "Alipush", "syncBadge", [badge]);
	},
	//android only
	bindPhoneNumber: function (phoneNumber, success, error){
		exec(success, error, "Alipush", "bindPhoneNumber", [phoneNumber]);
	},
	//android only
	unbindPhoneNumber: function (success, error){
		exec(success, error, "Alipush", "unbindPhoneNumber", []);
	}

}
});
